Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226543 - Merge Review: wordtrans
Summary: Merge Review: wordtrans
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:16 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-20 14:34:13 UTC
rdieter: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:16:50 UTC
Fedora Merge Review: wordtrans

http://cvs.fedora.redhat.com/viewcvs/devel/wordtrans/
Initial Owner: than@redhat.com

Comment 1 Rex Dieter 2007-03-12 17:30:46 UTC
1. SHOULD: s/BuildPreReq:/BuildRequires:/

[rdieter1@sting devel]$ rpmlint \ fedora/core/7/i386/os/Fedora/RPMS/wordtrans-*.rpm
E: wordtrans invalid-version 1.1pre13
E: wordtrans obsolete-not-provided wordtrans-qt
E: wordtrans no-binary
W: wordtrans file-not-utf8 /usr/share/man/es/man1/wordtrans.1.gz
W: wordtrans file-not-utf8 /usr/share/doc/wordtrans-doc/ChangeLog.gz
W: wordtrans file-not-utf8 /usr/share/man/man1/wordtrans.1.gz
W: wordtrans file-not-utf8 /usr/share/doc/wordtrans-data/ChangeLog.gz
E: wordtrans-kde invalid-version 1.1pre13
W: wordtrans-kde dangling-relative-symlink
/usr/share/doc/wordtrans-kde/INSTALAR-NODEBIAN ../wordtrans-data/INSTALAR-NODEBIAN
W: wordtrans-kde dangling-relative-symlink
/usr/share/doc/wordtrans-kde/welcome_es.html ../wordtrans-data/welcome_es.html
W: wordtrans-kde dangling-relative-symlink
/usr/share/locale/fr/LC_MESSAGES/kwordtrans.mo wordtrans.mo
W: wordtrans-kde dangling-relative-symlink /usr/share/doc/HTML/en/kwordtrans
../../wordtrans-doc/html.en
W: wordtrans-kde dangling-relative-symlink
/usr/share/locale/es/LC_MESSAGES/kwordtrans.mo wordtrans.mo
W: wordtrans-kde dangling-relative-symlink /usr/share/doc/HTML/es/kwordtrans
../../wordtrans-doc/html.es
W: wordtrans-kde dangling-relative-symlink
/usr/share/doc/wordtrans-kde/welcome_en.html ../wordtrans-data/welcome_en.html
W: wordtrans-kde dangling-relative-symlink /usr/share/doc/wordtrans-kde/INSTALAR
../wordtrans-data/INSTALAR
W: wordtrans-kde dangling-relative-symlink
/usr/share/doc/wordtrans-kde/ChangeLog.gz ../wordtrans-data/ChangeLog.gz
W: wordtrans-kde dangling-relative-symlink /usr/share/doc/HTML/fr/kwordtrans
../../wordtrans-doc/html.fr
W: wordtrans-kde dangling-relative-symlink /usr/share/doc/wordtrans-kde/TODO
../wordtrans-data/TODO
W: wordtrans-kde dangling-relative-symlink /usr/share/doc/wordtrans-kde/INSTALL
../wordtrans-data/INSTALL
W: wordtrans-kde dangling-relative-symlink /usr/share/doc/wordtrans-kde/README
../wordtrans-data/README
W: wordtrans-kde dangling-relative-symlink
/usr/share/doc/wordtrans-kde/INSTALL-NODEBIAN ../wordtrans-data/INSTALL-NODEBIAN
W: wordtrans-kde dangling-relative-symlink /usr/share/doc/wordtrans-kde/LEEME
../wordtrans-data/LEEME
E: wordtrans-web invalid-version 1.1pre13
W: wordtrans-web no-documentation

Comment 2 Rex Dieter 2007-03-12 19:11:48 UTC
2.  Version: 1.1pre13
doesn't follow Naming/Versioning Guidelines, but fixing it now may require an
Epoch, which could be considered as-bad/worse.  I'll punt on that for now.

3. imo, the use of cat inside of specfile SHOULD be replaced by SourceX: in
sources or cvs.   

Comment 3 Rex Dieter 2007-03-13 18:38:05 UTC
4.  MUST use a preferred BuildRoot, 
http://fedoraproject.org/wiki/Packaging/Guidelines#head-b4fdd45fa76cbf54c885ef0836361319ab962473


Comment 4 Rex Dieter 2007-03-13 18:48:43 UTC
OK, discussed on #fedora-devel, regarding Versioning.

2.  MUST introduce Epoch to fix Versioning mess.
Epoch: 1
Version: 1.1
and (initially)
Release: 0.1.pre13%{?dist}

5.  SHOULD address remaining "file-not-utf8" warnings from rpmlint.


I don't see anything else obvious, so address MUST items, and I'll APPROVE this.

Comment 5 Ngo Than 2007-03-15 18:29:02 UTC
i have fixed 1,2,3,4. Please take a look at wordtrans-1.1-0.1.pre13.fc7 built 
in rawhide. Thanks

Comment 6 Ngo Than 2007-03-21 14:11:45 UTC
can you please approve it?

Comment 7 Rex Dieter 2007-03-21 14:20:20 UTC
Looks good, APPROVED.


Note You need to log in before you can comment on or make changes to this bug.